actualizar web en joomla 2.5.20. a joomla 3.5.1  

 
Gloria
 Gloria
Usuario experto

Hola, quería actualizar una de las web q tengo en webempresa de joomla 2.5.20. a 3x.
Para hacerlo desde el administrador solo me da la opción de actualizar a joomla 3.5.1.
No sé qué indicaciones tengo que seguir de estos dos enlaces que tenéis ... o si hay un artículo espefícico de 2.5.20 a 3.5.1. quizá sea tan simple como darle a actualizar en el administrador de joomla, pero quería confirmarlo antes de hacerlo, ya que tras leer vuestros dos artículos parece que hay q hacer algunos pasos previos.
Por favor, ¿cuál es el procedimiento correcto?

https://www.webempresa.com/blog/pasos-para-actualizar-a-joomla-3-4.html
Saludos
Gloria

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 07/01/2017 2:06 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gloria.
quizá sea tan simple como darle a actualizar en el administrador de joomla
Si, pero hay que realizar unas comprobaciones previas antes de la actualización.

Para no tener la web en producción parada mi consejo es que empieces por realizar un clonado de tu web actual por ejemplo a una carpeta ' clon ' y realices la actualización en ese clon, con eso siempre tendrás la web en producción activa.

Puedes utilizar Akeeba Backup para realizar la copia:
Realiza copias de seguridad y restauraciones en Joomla 3 con Akeeba Backup

Una vez tengas el clon empieza con la actualización.
Lo primero que tienes que comprobar es que tanto la web como las extensiones ( Modulos, plugins, Componentes, etc... ) tengan actualizaciones para joomla 3x.

Una vez veas que todas las extensiones y la web tienen su actualización o son soportados por la versión 3x, puedes empezar a realizar los pasos que se describen en este articulo del blog:
Pasos para actualizar a Joomla 3.4

Hemos intentado explicarlo de forma clara, pero si tienes alguna duda en alguno de los pasos háznoslo saber y te ayudaremos rápidamente. 😉

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 07/01/2017 2:30 pm

Cursos Gratuitos WordPress

Gloria
 Gloria
Usuario experto

Hola Pepe, tras actualizar desde el administrador de joomla me da el siguiente error.
No funciona nada, ni la web, ni el administrador de joomla. :woohoo:
He puesto un ticket al departamento de hosting xq seguramente tengo la web en un servidor con PHP 5.2 y necesito PHP 5.3.
¿Qué puedo hacer?, supongo q esto es lo correcto.
Gloria

ResponderCitar
Respondido : 07/01/2017 4:01 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Tienes que enviar un ticket a soporte desde tu área de clientes para que te envíes instrucciones de como cambiar la versión PHP.

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 07/01/2017 5:16 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Gloria
 Gloria
Usuario experto

Hola Johnny, he seguido todas las instrucciones, he puesto el ticket y he seguido los pasos que me has indicado y he cambiado la versión de php52 a php53 y también a php54 en /home/geoiberi/.htaccess

Todo sigue igual, en ninguno de los casos funciona ni el administrador de joomla ni la web, ya no da el error anterior ("Your host needs to use PHP 5.3.10 or higher to run this version of Joomla!), solo aparece la página en blanco.
-----------------------------------
Te adjunto la respuesta que me has dado en el ticket, donde me remites de nuevo al foro:

Verifico que la versión PHP se ha cambiado de forma correcta a la versión PHP 5.4

Si después del cambio te aparece una pagina en blanco es porque se ha generado un error 500, en este caso veo que se han generado errores:

[07-Jan-2017 17:38:36 Europe/Berlin] PHP Fatal error: require_once(): Failed opening required '/home/geoiberi/public_html/plugins/system/jat3DSjat3DScoreDScommon.php' (include_path='.:/usr/local/php54/lib/php') in /home/geoiberi/public_html/plugins/system/jat3/jat3.php on line 17
[07-Jan-2017 17:19:35 Europe/Berlin] PHP Fatal error: require_once(): Failed opening required '/home/geoiberi/public_html/plugins/system/jat3DSjat3DScoreDScommon.php' (include_path='.:/usr/local/php54/lib/php') in /home/geoiberi/public_html/plugins/system/jat3/jat3.php on line 17

El problema estaría en un plugin de tu Joomla que posiblemente necesite de una actualización, te recomiendo que retornes al foro para que puedan revisar el problema y te puedan dar las instrucciones necesarias para que el proceso de migración sea el correcto.

Espero que mi intervención te haya servido de ayuda, en caso contrario, me gustaría que me lo indicaras para que pueda continuar ayudándote, gracias por tu colaboración y paciencia, quedo a la espera de tu respuesta.
--------------------------------------------
Por favor, puedes revisarme el problema desde el foro , tal como me has comentado desde el ticket?, sigo sin servicio, no funciona la web ni el administrador de joomla. Qué puedo hacer?

Saludos
Gloria

ResponderCitar
Respondido : 07/01/2017 6:01 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gloria.

Tranquila que te vamos a ayudar 😉
Lo primero es dejar operativa de nuevo la web.

Puedes restaura una copia de tu web con la herramienta cPremote que encontraras en tu cuenta de cPanel

.- Acede a cPanel desde tu Área de Clientes

.- En cPanel, apartado ' Archivos ', selecciona cPremote Remote Backup Management

.- Selecciona ' Restore Document Root ', añade el correo donde quieres que te manden la información de la restauración y la fecha que quieres que se restaure:

.- En cprenote, selecciona Restore Database y sigue los mismos pasos que en el anterior.

Nota: La fecha de restauración de los archivos y de la base de datos tiene que ser la misma.

Con esto tendrás restaurada la web

Restaura la carpeta public_html completa con cPremote Backup Management en cPanel

Restaura una base de datos con cPremote Backup Management en cPanel

Datos de conexión de la Base de Datos ¿donde encontrarlos?

Con estos pasos tendrás al web restaurada

Como te comente antes, lo mejor es realizar los pasos en un clon de tu web, con eso no tendrías problemas de tener la web en producción caída si surge un problema como el de ahora.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 07/01/2017 7:27 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Gloria
 Gloria
Usuario experto

Mil graciias Pepe 🙂 , página y administrador restaurado, pero no he podido actualizar a jommla 3.5.1, sigo en 2.5.0. Se ve que algo falla :blink: , he intentado volver a actualizarlo desde el administrador... y sigue fallando, ya no me da el error php xq he cambiado a php54, pero al actualizar se queda web y administrador en blanco.... he vuelto a restaurar la copia como me has indicado y lista.

Indendientemente de que genere un copia de seguridad con akeeba en otra carpeta o en el servidor local, me seguirá dando el mismo error al actualizar, supongo. La verdad es que quería evitar este paso, en el último mes he actualizado dos webs con este sistema y he tenido bastantes problemas... gracias a tus compañeros que me ayudaron a salir del atasco... como es el caso.

Qué puedo hacer, dónde está el error al actualizar, según "stephen" tengo los siguientes errores 500, que además desde el ticket Johnny me ha comentado que "Si después del cambio te aparece una pagina en blanco es porque se ha generado un error 500, en este caso veo que se han generado errores:

[07-Jan-2017 17:38:36 Europe/Berlin] PHP Fatal error: require_once(): Failed opening required '/home/geoiberi/public_html/plugins/system/jat3DSjat3DScoreDScommon.php' (include_path='.:/usr/local/php54/lib/php') in /home/geoiberi/public_html/plugins/system/jat3/jat3.php on line 17
[07-Jan-2017 17:19:35 Europe/Berlin] PHP Fatal error: require_once(): Failed opening required '/home/geoiberi/public_html/plugins/system/jat3DSjat3DScoreDScommon.php' (include_path='.:/usr/local/php54/lib/php') in /home/geoiberi/public_html/plugins/system/jat3/jat3.php on line 17

Es posible saber qué esta fallando?.

Muchas gracias y saludos
Gloria

ResponderCitar
Respondido : 07/01/2017 8:19 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gloria.
¿ Tienes Akeeba instalado para realizar las copias ?
Si lo tienes instalado elimínalo antes de realizar la actualización

Después de eliminarlo comprueba si puedes realizar la actualización correctamente.

Como te comente antes esta operación es mejor que la realices en un clon primero para no tener la web caída.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 08/01/2017 11:09 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Gloria
 Gloria
Usuario experto

Hola Pepe, tengo el akeeba desistalado, componente, plugin y módulo... no hay rastro de ninguna extensión de akeeba, eso ya lo hice ayer antes de actualizar, porque lo pone en los vídeos... y porque siempre me dio problemas, tengo más web y nunca me ha dado problemas akeeba, pero en esta sí.

Me he descargado la carpeta public_html en el ordenador, no sé si es suficiente o tengo q volver a instalar akeeba para hacer un .zip o un .jpa .... supongo que si vuelve a fallar siempre puedo restaurar una copia desde cPremote Remote Backup Management... y no pasa nada si se cae la web un rato... es la mía.

En principio yo he seguido todos los pasos que se explican en el siguiente vínculo, pero claro ... en mi caso ya no se puede actualizar a 3.3 sino a 3.5.1 y como bien dice en el artículo está desfasado

Entonces me voy al que indicáis, pero en este caso actualiza del 2.5.28 al 3.4 y no he querido seguir. :S
https://www.webempresa.com/blog/pasos-para-actualizar-a-joomla-3-4.html

Respecto a los errores 500 que me da stephan, envío una captura de pantalla del admin de joomla donde aparece un plugin que debería actualizar... q supongo está relacionado. ¿Es posible?.

No sé si tambien tendrá algo que ver con todo que dentro de public_html hay un subdominio con su joomla y otra web instalada... y con akeeba. Podría ser esto?

¿Qué puedo hacer? ¿Instalar joomla 2.5.28 de forma manual e intenta actualizar?... y en este caso, ¿no me volverá a dar el mismo error (web y administrador de joomla en blanco) xq tengo q actualizar a 3.5.1 en lugar de 3.4?

Muchas gracias Pepe
Gloria

ResponderCitar
Respondido : 08/01/2017 12:40 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gloria.
aparece un plugin que debería actualizar... q supongo está relacionado. ¿Es posible?.
Si, pero lo tienes que actualizar después de actualizar joomla.

supongo que si vuelve a fallar siempre puedo restaurar una copia desde cPremote Remote Backup Management...
Si ademas como ya lo hiciste y comprobaste que se restaura sin problemas, no tendrás problemas en volver a restaurar la web.

En principio yo he seguido todos los pasos que se explican en el siguiente vínculo,
Ese tutorial esta desfasado, las nuevas versiones de joomla soportan la actualización desde joomla 2.5.28, si tienes una versión anterior primero actualiza a la 2.5.28.

pero en este caso actualiza del 2.5.28 al 3.4 y no he querido seguir.
Después de actualizar a 2.5.28 tienes que seguir el tutorial que tienes en este enlace del blog para actualizar a 3.4
Actualizar Joomla 2.5.28 a Joomla 3.4.x ¡rápida y fácilmente!

Una vez actualizado a 3.4 podrás actualizar a la ultima versión desde el propio administrador de joomla.

Recuerda que primero tienes que comprobar las extensiones y la plantilla si son compatibles para joomla 3x

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 08/01/2017 1:53 pm

Cursos Gratuitos WordPress

Por favor Iniciar Sesión o Registro